Page 1 of 2 12 LastLast
Results 1 to 20 of 27
  1.    #1  
    Hi Guys,

    There are a bunch of threads that might relate to this, but I have been unable to figure out what to do.

    The Problem: I have uninstalled a patch (Reset to First Page) and while the patch appears to be gone and the app launcher works like it would by default, preware still thinks the patch needs to be updated.

    IPKG Log error:

    Code:
    /var/usr/palm/applications/org.webosinternals.app-launcher-reset-to-first-page/app-launcher-reset-to-first-page.patch: No such file or directory
    /var/usr/lib/ipkg/info/org.webosinternals.patches.app-launcher-reset-to-first-page.prerm: line 35:/var/usr/palm/applications/org.webosinternals.app-launcher-reset-to-first-page/app-launcher-reset-to-first-page.patch: no such file
    My Pre & Info:
    WebOS 1.3.1
    preware 0.9.12
    WebOSQuickInstall 2.96

    What I have tried:

    1. EPR - this removed every single other patch
    2. webOSRepair - this only found 1 issue, which was that I had the dev-mode icon visible
    3. Contacted the Patch Developer: http://forums.precentral.net/webos-p...ddle-page.html
    4. Reinstall preware & and the package manager using webOSQuickInstall


    ... I am at a loss here, I don't really want to have to use the doctor. Any ideas?

    Thank you!
  2. bugduk's Avatar
    Posts
    36 Posts
    Global Posts
    38 Global Posts
    #2  
    I'm looking for this info too.
  3. #3  
    In Preware look under installed packages and unknown to see if it is listed there, if so remove it.
  4. #4  
    First I want to commend you on the information you provide in the first post.

    How did you uninstall the patch in question?

    -Eric G

    WebOS Internals Developer.
    Follow me on Twitter for updates to my projects: | Virtual Keyboard | wIRC | SuperTux | AUPT | KeyBoss | freeTether |

    Donate
  5.    #5  
    Thank you emoney. I've been in your position for other products so I know the value of info

    I installed it with the current version of preware.

    Lclarkjr - I just tried that. It is not listed there.

    Thanks!
  6.    #6  
    I should add that it is listed under installed/patches (with the "needs update" blue arrow) and under package updates
  7. #7  
    Quote Originally Posted by gearysr View Post
    Thank you emoney. I've been in your position for other products so I know the value of info

    I installed it with the current version of preware.

    Lclarkjr - I just tried that. It is not listed there.

    Thanks!
    In your original post it says that you had uninstalled that patch. How did you go about uninstalling it?

    Was it just a leftover from an EPR run?

    -Eric G

    WebOS Internals Developer.
    Follow me on Twitter for updates to my projects: | Virtual Keyboard | wIRC | SuperTux | AUPT | KeyBoss | freeTether |

    Donate
  8. #8  
    Follow @webosinternals on twitter for updates on how to fix Preware for 1.3.5.
    Palm V-->Visor Deluxe-->Visor Prism-->Visorphone-->Treo 180-->Treo 600-->Treo 650 on Sprint-->Treo 700p-->Centro-->Diamond-->Pre-->HTC EVO 4g???!
  9.    #9  
    I used preware to uninstall. The first error message was probably something else (aka useful), but I remember I tried again, at which point I took a look at the error, which has never changed. EPR etc was tried next.
  10. #10  
    Quote Originally Posted by gearysr View Post
    I used preware to uninstall. The first error message was probably something else (aka useful), but I remember I tried again, at which point I took a look at the error, which has never changed. EPR etc was tried next.
    interesting. Yea so that first error was probably the key to why this happened, but if you are sure that the patch did remove (i.e. all the palm files it touched were fixed), then you can manually remove the ipkg data from terminal command.

    For 1.3.1 that would be:

    ipkg -o /var remove <package_id>

    -Eric G

    WebOS Internals Developer.
    Follow me on Twitter for updates to my projects: | Virtual Keyboard | wIRC | SuperTux | AUPT | KeyBoss | freeTether |

    Donate
  11. #11  
    where can i find tutorial on twitter?
  12.    #12  
    Success!

    I ran WebOSRepair so I am confident that all of the palm files are back to their original status. Tempting my luck, I installed the patch again, tested it, then uninstalled it successfully. It looks like everything is in working order.

    Thank you for your help!
  13. #13  
    I think I have a similar problem... Stupid me, I updated to webos 1.3.5 without removing my patches I had gotten Preware mostly working after updating it ota via mvapp, then running EMH. It still wouldn't update any of my patches, saying that it couldn't uninstall, so I used EPH to remove all the patches. Now, Preware says my patches are gone, but every patch I try to reinstall pops up an error saying it's already installed. I read the post saying to use terminal and remove them from there using the packageId... but it said it couldn't find it...

    I am running a Palm Pre w/ webos 1.3.5, Preware 0.9.12, & package management service 0.9.27, any help would be appreciated.

    Oh, and for some reason I can't get WebOSQuickInstall or WebOSDoctor to recognize my Pre on my computer so I can't fix it that way (although my computer recognizes it as a device, it is in dev mode, and services shows novacom is running)... btw I'm running XP Pro
    Last edited by mangamaniacSA; 12/30/2009 at 01:27 AM. Reason: more information
  14. #14  
    Mine won't install or uninstall a patch at all, was doing it fine yesterday no problem. I can go to palm app catalog and even apps in preware work, patches are no go. I get idk log error and reading it says the patch is un reversable and skips the script. It gives me the ok to hit and let the script run, but install script fails on all patches.
  15.    #15  
    @mangamaniacSA that's tough. I don't know a lot about this stuff, but I would read this tread

    http://forums.precentral.net/canuck-...l-v2-96-a.html
    (its long but I believe other people can't connect to WebOSQuickInstal too)

    Try posting at the end of that thread with all your details. If that doesn't help, you can always start a new thread stating that you can not connect and hope that you get a response from one of the senior devs.

    Good luck.

    @sandmanfvr
    You'll need to post more information about your pre, versions of software etc.
    Last edited by gearysr; 12/30/2009 at 11:53 AM. Reason: emony posted better info
  16.    #16  
    Thanks. I updated my post to remove the bad info.
  17. #17  
    I have latest preware and package manager and webos 1.3.5. Also got latest webos quick install.

    EDIT: I just tried to load the emergency patch recover on it by loading it from the quick install, it said I had NO patches on it. SO the patches are there, but everything thinks they are not. *sigh about to do the 1.3.5 webos doctor on it.
    Last edited by sandmanfvr; 12/30/2009 at 02:28 PM.
  18. #18  
    Ok, my fix was to go to Device Info and then to do a FULL ERASE. Now I am fine, some patches fail to install but they need to be updated I figure as the pre is working fine. I think preware and the patches need to catch up, but now I can install the patches that work.
  19. #19  
    just had this problem

    to fix this: run the MIGRATION tool in preware

    after that, run the Emergency Patch Recovery

    then reinstall patches,

    works fine
  20. #20  
    Quote Originally Posted by trim81 View Post
    just had this problem

    to fix this: run the MIGRATION tool in preware

    after that, run the Emergency Patch Recovery

    then reinstall patches,

    works fine
    I've tried doing that, but when I try to run EPR in QI, I get the message "ERROR: An error occurred while attempting to run /tmp/ipkgScript.sh

    NOTE: No patches found!
    Removing package org.webosinternals.emergency-patch-recovery from root..." at which point my phone restarts.
Page 1 of 2 12 LastLast

Posting Permissions